Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.GIOP
Class LocateStatusType_1_2

    java.lang.Object
      |
      +--org.omg.GIOP.LocateStatusType_1_2

All Implemented Interfaces:
  IDLEntity, java.io.Serializable

public final class LocateStatusType_1_2
extends java.lang.Object
implements IDLEntity

Enum definition : LocateStatusType_1_2

Author:
  OpenORB Compiler
See Also:
  Serialized Form

Field Summary
`static int` | `_LOC_NEEDS_ADDRESSING_MODE` Enum member LOC_NEEDS_ADDRESSING_MODE value
`static int` | `_LOC_SYSTEM_EXCEPTION` Enum member LOC_SYSTEM_EXCEPTION value
`static int` | `_OBJECT_FORWARD` Enum member OBJECT_FORWARD value
`static int` | `_OBJECT_FORWARD_PERM` Enum member OBJECT_FORWARD_PERM value
`static int` | `_OBJECT_HERE` Enum member OBJECT_HERE value
`static int` | `_UNKNOWN_OBJECT` Enum member UNKNOWN_OBJECT value
`static LocateStatusType_1_2` | `LOC_NEEDS_ADDRESSING_MODE` Enum member LOC_NEEDS_ADDRESSING_MODE
`static LocateStatusType_1_2` | `LOC_SYSTEM_EXCEPTION` Enum member LOC_SYSTEM_EXCEPTION
`static LocateStatusType_1_2` | `OBJECT_FORWARD` Enum member OBJECT_FORWARD
`static LocateStatusType_1_2` | `OBJECT_FORWARD_PERM` Enum member OBJECT_FORWARD_PERM
`static LocateStatusType_1_2` | `OBJECT_HERE` Enum member OBJECT_HERE
`static LocateStatusType_1_2` | `UNKNOWN_OBJECT` Enum member UNKNOWN_OBJECT

Method Summary
`static LocateStatusType_1_2` | `from_int(int value)` Return a enum member from its value
`java.lang.Object` | `readResolve()` Maintains singleton property for serialized enums.
`java.lang.String` | `toString()` Return a string representation
`int` | `value()` Return the internal member value

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### _UNKNOWN_OBJECT

    public static final int _UNKNOWN_OBJECT

  Enum member UNKNOWN_OBJECT value

### UNKNOWN_OBJECT

    public static final LocateStatusType_1_2 UNKNOWN_OBJECT

  Enum member UNKNOWN_OBJECT

### _OBJECT_HERE

    public static final int _OBJECT_HERE

  Enum member OBJECT_HERE value

### OBJECT_HERE

    public static final LocateStatusType_1_2 OBJECT_HERE

  Enum member OBJECT_HERE

### _OBJECT_FORWARD

    public static final int _OBJECT_FORWARD

  Enum member OBJECT_FORWARD value

### OBJECT_FORWARD

    public static final LocateStatusType_1_2 OBJECT_FORWARD

  Enum member OBJECT_FORWARD

### _OBJECT_FORWARD_PERM

    public static final int _OBJECT_FORWARD_PERM

  Enum member OBJECT_FORWARD_PERM value

### OBJECT_FORWARD_PERM

    public static final LocateStatusType_1_2 OBJECT_FORWARD_PERM

  Enum member OBJECT_FORWARD_PERM

### _LOC_SYSTEM_EXCEPTION

    public static final int _LOC_SYSTEM_EXCEPTION

  Enum member LOC_SYSTEM_EXCEPTION value

### LOC_SYSTEM_EXCEPTION

    public static final LocateStatusType_1_2 LOC_SYSTEM_EXCEPTION

  Enum member LOC_SYSTEM_EXCEPTION

### _LOC_NEEDS_ADDRESSING_MODE

    public static final int _LOC_NEEDS_ADDRESSING_MODE

  Enum member LOC_NEEDS_ADDRESSING_MODE value

### LOC_NEEDS_ADDRESSING_MODE

    public static final LocateStatusType_1_2 LOC_NEEDS_ADDRESSING_MODE

  Enum member LOC_NEEDS_ADDRESSING_MODE

Method Detail

### readResolve

    public java.lang.Object readResolve()
                                 throws java.io.ObjectStreamException

  Maintains singleton property for serialized enums. Issue 4271: IDL/Java issue, Mapping for IDL enum.

### value

    public int value()

  Return the internal member value
  Returns:
    the member value

### from_int

    public static LocateStatusType_1_2 from_int(int value)

  Return a enum member from its value
  Parameters:
    `an` - enum value
  Returns:
    an enum member

### toString

    public java.lang.String toString()

  Return a string representation
  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    a string representation of the enumeration

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD